Subject: bug#3726: Accessing texinfo-start-menu-description when AucTeX is installed

From: Vincent Belaïche <[email-masked]>
Date: Wed, 01 Jul 2009 13:22:20 +0200

Thanks for the reply,

I had the impression that there was some inheritence though, because some part 
of the native Texinfo seems to be replicated (e.g. `texinfo-update-node' on 
C-c C-u C-n).

I will get in touch with AucTeX people, thanks for the information...

    Vincent.

Glenn Morris a écrit :
> reassign 3726 notemacs
> stop
> 
> Vincent Belaïche wrote:
> 
>> When aucTeX is installed the TeXinfo keybind `C-c C-c C-d' used to 
>> access command texinfo-start-menu-description is no longer available, 
>> because `C-c C-c' is used by AucTeX to launch external commands.
>>
>> However it is still practical to access some of the native TeXinfo while 
>> using AucTeX. I propose to add:
>>
>>         (define-key map "\C-c\C-u\C-d"   'texinfo-start-menu-description)
>>
>>    in texinfo.el within (defvar texinfo-mode-map ... ).
> 
> AUCTeX defines its own Texinfo-mode, with its own keymap. It does not
> inherit any keys from the standard texinfo-mode-map. The change you
> propose would have no effect.
> 
> If you want to add a keybinding, you must either do it in your .emacs,
> or ask the AUCTeX people to do it.
>